sealed class InvoiceEvent {
  const InvoiceEvent();
}

class InvoiceInitialEvent extends InvoiceEvent {
  const InvoiceInitialEvent();
}

class InvoiceTabChangedEvent extends InvoiceEvent {
  final int tabIndex;

  const InvoiceTabChangedEvent({required this.tabIndex});
}

class LoadTabInvoiceEvent extends InvoiceEvent {
  final int status;

  const LoadTabInvoiceEvent({required this.status});
}

class LoadMoreInvoiceEvent extends InvoiceEvent {
  final int status;

  const LoadMoreInvoiceEvent({required this.status});
}
